#Start the Familias package
#It must be already downloaded with e.g.
#install.packages(Familias)
library(Familias)
#Define the persons involved in the case
persons <- c("mother", "AF", "child")
sex <- c("female", "male", "male")
#Define the alternative pedigrees
ped1 <- FamiliasPedigree(id=persons, dadid=c(NA,NA,"AF"), momid=c(NA,NA,"mother"), sex=c("female", "male", "male"))
ped2 <- FamiliasPedigree(id=persons, dadid=c(NA,NA,NA), momid=c(NA,NA,"mother"), sex=c("female", "male", "male"))
pedigrees <- list(ped1,ped2)
par(mfrow=c(2,1))
plot(ped1);title("ped1, H1")
plot(ped2);title("ped2, H2")
par(mfrow=c(1,1))
# Define a marker with four alleles with the given frequencies
locus1 <- FamiliasLocus(frequencies=c(0.0500000000,0.0500000000,0.9000000000), name="S1", allelenames=c("A","B","C"), femaleMutationRate = 0, maleMutationRate = 0,femaleMutationRange = 0.1, maleMutationRange = 0.1, maleMutationModel="Stationary", femaleMutationModel="Stationary")
locus2 <- FamiliasLocus(frequencies=c(0.1000000000,0.1000000000,0.1000000000,0.7000000000), name="S2", allelenames=c("a","b","c","d"), femaleMutationRate = 0, maleMutationRate = 0,femaleMutationRange = 0.1, maleMutationRange = 0.1, maleMutationModel="Stationary", femaleMutationModel="Stationary")
loci <- list(locus1,locus2)
# List the observed data
datamatrix <- data.frame(locus1.1=c("B","A","A"), locus1.2=c("B","A","B"), locus2.1=c("b","a","a"), locus2.2=c("c","a","c"))
#Compute the posteriors and likelihoods
rownames(datamatrix) <- persons
result <- FamiliasPosterior(pedigrees, loci, datamatrix, ref=2)
result
